---
title: String() constructor
slug: Web/JavaScript/Reference/Global_Objects/String/String
tags:
  - Constructor
  - JavaScript
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>String</code></strong> constructor is used to create a new {{jsxref("String")}} object. When called instead as a function, it performs type conversion to a {{Glossary("string", "primitive string")}}, which is usually more useful.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new String(<var>thing</var>)
String(<var>thing</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>thing</var></code></dt>
 <dd>Anything to be converted to a string.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="String_constructor_and_String_function">String constructor and String function</h3>

<p>String function and String constructor produce different results:</p>

<pre class="brush: js notranslate">typeof String('Hello world'); // string
typeof new String('Hello world'); // object
</pre>

<p>Here, the function produces a string (the {{Glossary("primitive")}} type) as promised. However, the constructor produces an instance of the type String (an object wrapper) and that's why you rarely want to use the String constructor at all.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string-constructor', 'String constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.String")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Guide/Text_formatting">Text formatting in the JavaScript Guide</a></li>
</ul>
